Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

The newest version of rhythmbox (2.95) should have a Grilo UPnP plugin, but I can't find it in Rhythmbox and it is not enabled or available by default. I installed rhythmbox 2.95 according to this instruction in Ubuntu 11.10. The rhythmbox-plugin-coherence is not in the normal repositories anymore and so I thought it would be great to have the new rhythmbox version with pre-installed (?) Grilo plugin instead of installing from another repository.

Or do I need to install the Grilo plugin with another repository (ppa:grilo-team/ppa) in Ubuntu?

Update July 2012:
Did anybody try it with Rhythmbox 2.96 (or via ppa Rhythmbox 2.97) in Ubuntu 12.04 and the the Grilo plugin (from ppa:grilo-team/ppa)? With the normal install of Rhytmbox 2.96 and 2.97 (without additional Grilo plugin from the ppa:grilo-team/ppa) I have not seen any UPnP support. I have not had time to install the Grilo plugin yet.

Update October 2012 No grilo UPnP plugin with rhythmbox 2.98 (via ppa).

share|improve this question
    
I got an answer, but ...: If the plug-in is installed properly it should appear on the list when you select Edit > Plug-ins. The PPA may be the best way to get the latest updates and no matter what method you use make sure the plug-in is compatible with the version of Ubuntu and Rythmbox in use .As you know Rythmbox is not the default player in 11.10. –  Filbuntu Mar 1 '12 at 2:04
    
But: If I understand you right, I have to install the grilo plugins (grilo-0.1-plugins) in addition to the new rhythmbox. Or should it come along with the new rhythmbox installation (through the ppa:webupd8team/rhythmbox)? Well, I installed grilo-0.1-plugins (with libgrilo-0.1 (0.1.18-1~oneiric2), libgupnp-av-1.0-2 (0.8.0-2), libtracker-sparql-0.10-0 (0.10.24-1build2), libunistring0 (0.9.3-4)) from the ppa:grilo-team/ppa. Unfortunately there has not been an new plugin (e.g. Grilo plugin) within rhythmbox (Edit>Plug-ins). So I added grilo-0.1-tools, then gir1.0-grilo-0.1, but no effect neither. –  Filbuntu Mar 1 '12 at 2:07
    
How do I know whether the plug-ins are compatible with Ubuntu 11.10? What next? –  Filbuntu Mar 1 '12 at 2:07
    
It seems that nobody knowledgeable read this post so far, so I tried to install the rhythmbox-plugin-coherence package, but was not successful, either. This is leads to the next question. –  Filbuntu Mar 8 '12 at 8:25
    
i think you need to compare current Ubuntu version against current Upstream version. It is unlikely Ubuntu has the absolute latest Rythmbox version. –  Thomas W. Jul 3 '12 at 17:21
show 2 more comments

1 Answer

up vote 1 down vote accepted

Check out this howto from here:

http://bernaerts.dyndns.org/linux/240-ubuntu-precise-upnp-dlna-client

I got it working myself quite well after that...

share|improve this answer
2  
Welcome to Ask Ubuntu! Whilst this may theoretically answer the question, it would be preferable to include the essential parts of the answer here, and provide the link for reference. –  Peachy Nov 20 '12 at 1:53
    
@Peter The installation of the grilo plugin works great. But I was disappointed as I thought rhythmbox would share the music on the computer to other clients, e.g. an Mediaplayer-box. But it seems that the plugin only helps to receive UPnP-music and let it play in rhythmbox. :-( –  Filbuntu Nov 30 '12 at 13:22
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.